Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Remote_WLock Class Reference

Proxy for acquiring, renewing, and releasing a distributed writers lock. More...

`#include <Remote_Tokens.h>`

Inheritance diagram for ACE_Remote_WLock:

[legend]
Collaboration diagram for ACE_Remote_WLock:

[legend]
List of all members.

## Public Methods
| ACE_Remote_WLock (void)
| ACE_Remote_WLock (const ACE_TCHAR *token_name, int ignore_deadlock=0, int debug=0)
| ACE_Remote_WLock (const ACE_Remote_WLock &mutex)
void | dump (void) const
| Dump the state of the class. More...
virtual int | type (void) const
| Returns ACE_RW_Token::WLOCK;. More...
virtual ACE_Token_Proxy * | clone (void) const
| Return deep copy. More...
## Protected Methods
virtual ACE_Tokens * | create_token (const ACE_TCHAR *name)
| Make the correct type of ACE_Tokens. This is called by the Token Manager. More...

## Detailed Description

Proxy for acquiring, renewing, and releasing a distributed writers lock.

Shields applications from details of interacting with the ACE_Token_Server. The token_name_ is just the string that the Token Server uses to identify the token. The client_id_ (also used by the Token Server,) identifies the owner of the token and is used for deadlock detection.

## Constructor & Destructor Documentation

ACE_Remote_WLock::ACE_Remote_WLock | ( | void |  | ) |

ACE_Remote_WLock::ACE_Remote_WLock | ( | const ACE_TCHAR * | token_name,
|  | int | ignore_deadlock = 0,
|  | int | debug = 0
| ) |

ACE_Remote_WLock::ACE_Remote_WLock | ( | const ACE_Remote_WLock & | mutex | ) |

## Member Function Documentation

virtual ACE_Token_Proxy* ACE_Remote_WLock::clone | ( | void |  | ) | const`[virtual]`

| Return deep copy. Reimplemented from ACE_Token_Proxy.

virtual ACE_Tokens* ACE_Remote_WLock::create_token | ( | const ACE_TCHAR * | name | ) | `[protected, virtual]`

| Make the correct type of ACE_Tokens. This is called by the Token Manager. Reimplemented from ACE_Token_Proxy.

void ACE_Remote_WLock::dump | ( | void |  | ) | const

| Dump the state of the class. Reimplemented from ACE_Remote_Token_Proxy.

virtual int ACE_Remote_WLock::type | ( | void |  | ) | const`[virtual]`

| Returns ACE_RW_Token::WLOCK;. Reimplemented from ACE_Token_Proxy.

The documentation for this class was generated from the following files:

- Remote_Tokens.h
- Remote_Tokens.cpp